# mdtraj.load_dcd

mdtraj.load_dcd(filename, top=None, stride=None, atom_indices=None, frame=None)

  Load an DCD file from disk.

  The .dcd format is a cross-platform compressed binary trajectory format produced by many software packages, including CHARMM, NAMD, and OpenMM. It stores atomic coordinates, box vectors, and time information.

  Parameters:

    - filename (path-like) – Path of DCD file.

    - top ({path-like, Trajectory, Topology}) – DCD XTC format does not contain topology information. Pass in either the path to a pdb file, a trajectory, or a topology to supply this information.

    - stride (int, default=None) – Only read every stride-th frame

    - atom_indices (array_like, optional) – If not none, then read only a subset of the atoms coordinates from the file. This may be slightly slower than the standard read because it requires an extra copy, but will save memory.

    - frame (int, optional) – Use this option to load only a single frame from a trajectory on disk. If frame is None, the default, the entire trajectory will be loaded. If supplied, `stride` will be ignored.

  Examples

      >>> import mdtraj as md
      >>> traj = md.load_dcd('output.dcd', top='topology.pdb')
      >>> print traj
      <mdtraj.Trajectory with 500 frames, 423 atoms at 0x110740a90>

      >>> traj2 = md.load_dcd('output.dcd', stride=2, top='topology.pdb')
      >>> print traj2
      <mdtraj.Trajectory with 250 frames, 423 atoms at 0x11136e410>

  Returns:

    trajectory – The resulting trajectory, as an md.Trajectory object.

  Return type:

    md.Trajectory

  See also

  `mdtraj.DCDTrajectoryFile`

    Low level interface to DCD files